%define name docbook-dtd412-xml
%define version 1.0 
%define release 8mdk
%define dtdver 4.1.2
%define mltyp xml

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: XML document type definition for DocBook %{dtdver}.

License   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Provides        : docbook-dtd-%{mltyp}
PreReq		: fileutils
Prereq		: sgml-common >= 0.6.3-2mdk
Prereq		: openjade >= 1.3.1-2mdk

BuildRoot   	: %{_tmppath}/%{name}-buildroot

Prefix          : %{_prefix}          
# Zip file downloadable at http://www.oasis-open.org/docbook/%{mltyp}/%{dtdver}
Source0		: docbkx412.tar.bz2 
Source1		: docbook-dtd412-xml-catalog.tar.bz2
Patch0          : %{name}-%{version}.catalog.patch.bz2
Patch1		: %{name}-%{version}.dbcentx.patch.bz2
BuildArch	: noarch  


%define sgmlbase %{_datadir}/sgml

%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup
%setup -D -a 1
%patch0 -p1
%patch1 -p1

%Build


%Install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
mkdir -p $DESTDIR
install -m644 docbook.cat $DESTDIR/catalog
install -m644 xmlcatalog $DESTDIR
install -m644 *.dtd $DESTDIR
install -m644 *.mod $DESTDIR

# Symlinks
mkdir -p $RPM_BUILD_ROOT/etc/sgml
ln -s %{mltyp}-docbook-%{dtdver}.cat \
	$RPM_BUILD_ROOT/etc/sgml/%{mltyp}-docbook.cat

%Clean
rm -rf $RPM_BUILD_ROOT


%Files
%defattr (-,root,root)
%doc *.txt ChangeLog
%dir %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
/etc/sgml/xml-docbook.cat


%Post
##
## SGML catalog
##
%{_bindir}/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
%{_bindir}/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog

# The following lines are for the case in which the style sheets
# were installed after another DTD but before this DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	%{_bindir}/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	%{_bindir}/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file:///usr/share/sgml/docbook/xml-dtd-4.1.2/xmlcatalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/4.1.2" \
	"xml-dtd-4.1.2" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/4.1.2" \
	"xml-dtd-4.1.2" $CATALOG

%Postun
##
## SGML catalog
##
# Do not remove if upgrade
if [ "$1" = "0" ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog
fi

# The following lines are for the case in which the style sheets
# were not uninstalled because there is still another DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

/usr/bin/xmlcatalog --noout --del \
	"-//OASIS//DTD DocBook XML" $CATALOG
/usr/bin/xmlcatalog --noout --del \
	"xml-dtd-4.1.2" $CATALOG

 
%changelog
* Thu Jan 24 2002 Camille Begnis <camille@mandrakesoft.com> 1.0-8mdk
- use new openjade insalled in /usr/share/sgml/openjade/

* Thu Jan 24 2002 Camille Begnis <camille@mandrakesoft.com> 1.0-7mdk
- use xmlcatalog from libxml-utils instead of install-catalog
- add support for XML catalogs as supported by libxml2 (xsltproc)

* Thu Nov 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-6mdk
- added dbcentx.patch to correct bad ISO entity filenames

* Thu Sep 06 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-5mdk
- Suppress Requires           : xml-common (included in sgml-common)

* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-4mdk
- Merge patches from Abel Cheung:
- s/Copyright/License/
- Simplify %%files
- Source0 is not downloadable itself, it's just a re-compressed archive
- Relativisation of symlinks now works with non-root compilation
- Removed useless variable
- Corrected file permissions
- More macros
- Rearrange BuildArch to bottom, no idea why source and patch refuses to be
  removed otherwise
  
* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-3mdk
- Redirect install-catalog output to /dev/null

* Mon Jan 08 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-2mdk
- Add link to ISO entities

* Thu Oct 19 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-1mdk
- New for mandrake
